Ubuntu

From DWIKI


Links

Installation

Ubuntu 20.04 LTS

Storage configuration

First create a boot partition!

Remember to umount cdrom before rebooting



Automatic install

 

Snags

HOWTO

Change nameservers

If using systemd-resolved

Show nameservers

resolvectl status

Edit /etc/netplan/00-installer-config.yaml

netplan apply

FAQ

Installing Ubuntu

https://ubuntu.com/server/docs/install/storage

Select a boot disk

Set timezone

dpkg-reconfigure tzdata

Get ubuntu version

cat /etc/lsb-release
      

The repository 'http://packages.ros.org/ros/ubuntu cosmic Release' does not have a Release file.

Switch path to repositories to old-releases.ubuntu.com

disable ipv6

sysctl:

net.ipv6.conf.default.disable_ipv6=1
net.ipv6.conf.all.disable_ipv6=1

changing locale

/etc/default/locale

locale-gen
dpkg-reconfigure keyboard-configuration

setupcon
loadkeys us

and lots more

 

 

mail: command not found

install heirloom-mailx

OR

install mailutils

REMEMBER: to fix sender domain

create /etc/mailutils.conf containing

address {
       email-domain yourdom.ain;
};

and check out

mail --config-help

failed unmounting /var

ignore it? it's a journald issue

multipathd[667]: sda: failed to get sgio uid: No such file or directory

Seems to be vmware setting: disk.EnableUUID = true

CHECK!

 

The following signatures couldn't be verified because the public key is not available:

gpg --keyserver keyserver.ubuntu.com --recv-keys  9D6D8F6BC857C906


Upgrade to 22.04 (impish Release no longer has a Release file)

That sucks, now what? Check https://help.ubuntu.com/community/EOLUpgrades

When apt-get update fails, set your repositories to old-releases.ubuntu.com


Upgrades to the development release are only available from the latest supported release

More obscure mess. Check https://linuxconfig.org/how-to-upgrade-ubuntu-to-20-04-lts-focal-fossa


==Not all translations for this language are installed. Use the Install Missing Packages button to download and install all missing packages==

Instead of trying to find that mysterious button, try

check-language-support

which will list missing packages

Release file not valid yet

Mirror not up to date?